
/* ========== FONTS ========== */
@font-face {
    font-family: "Barlow-Light";
    font-weight: 300;
    src: url('../font/Barlow-Light.ttf');
}
@font-face {
    font-family: "JosefinSlab";
    src: url('../font/JosefinSlab-Regular.ttf');
}
@font-face {
    font-family: "JosefinSlab-SemiBold";
    font-weight: 600;
    src: url('../font/JosefinSlab-SemiBold.ttf');
}
@font-face {
    font-family: "JosefinSlab-Bold";
    font-weight: bold;
    src: url('../font/JosefinSlab-Bold.ttf');
}
@font-face {
    font-family: "JosefinSans";
    src: url('../font/JosefinSans-Regular.ttf');
}
/* ========== FLEXBOX DISPLAY ========== */
body {
    margin: 0;
}
.container {
    display: flex;
    align-items: center;
    align-content: space-around;
    justify-content: space-evenly;
    padding: 20px;
}
.col {
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
}
.col-2 {
    width: 45%;
}
.col-3 {
    width: 30%;
}
.col-5 {
    width: 20%;
}
.btn {
    box-shadow: 0 3px 6px #707070;
    border-radius: 3px;
    border: 1px dashed #4b402d73;
    background-image: url("../img/texture-carre.png");
    background-size: cover;
    background-position-x: center;
    background-position-y: center;
    width: fit-content;
    padding: 15px 10px;
    text-align: center;
    font-family: "JosefinSlab";
    color: #816C4C;
    font-size: 1.3rem;
}
.btn:hover {
    box-shadow: none;
    cursor: pointer;
    filter: drop-shadow(2px 4px 6px #303030) opacity(0.9);
}
ul {
    display: flex;
    margin: 0;
    position: relative;
}
li {
    list-style: none;
    padding: 0 20px;
}
a {
    text-decoration: none;
    color: inherit;
    font-family: "Barlow-Light";
}
a:hover {
    filter: opacity(0.7);
}
a:focus {
    outline: none;
}
p {
    font-family: "Barlow-Light";
}
h2 {
    font-family: "JosefinSlab-Bold";
    color: #816C4C;
}
h1 {
    font-family: "JosefinSans";
    color: #008037;
}
/* ========== MOBILE DEVICE - FLEXBOX DISPLAY ========== */
@media screen and (max-width: 576px) {
    .container {
        flex-direction: column;
    }
    .col-2, .col-3, .col-5 {
        width: 90%;
        margin: 20px;
    }
}
/* ========== HERO ========== */
#hero {
    height: 100vh;
    background: url("../img/hero.jpg");
    background-size: cover;
    background-position-y: center;
    background-position-x: center;
    background-repeat: no-repeat;
}
#hero-logo-symbol img {
    height: 110px;
    padding-right: 20px;
    text-shadow: 3px 3px 1px rgba(129, 108, 76, 0.3);
}
#hero-logo-brand {
    color: #008037;
    font-family: "JosefinSans";
    font-size: 80px;
    text-shadow: 3px 3px 1px rgba(129, 108, 76, 0.3);
}
#hero-logo-baseline {
    color: #816C4C;
    font-family: "JosefinSlab-SemiBold";
    font-size: 23px;
    text-transform: uppercase;
    padding: 7px;
    letter-spacing: 2.4px;
}
/* ========== MOBILE DEVICE - HERO ========== */
@media screen and (max-width: 640px) {
    #hero .container {
        flex-direction: row;
    }
    #hero-logo-symbol img {
        height: 50px;
        padding-right: 20px;
    }
    #hero-logo-brand {
        font-size: 35px;
    }
    #hero-logo-baseline {
        font-size: 7px;
        padding: 3px;
        letter-spacing: 2.4px;
    }
}
/* ========== NAVBAR ========== */
header {
    z-index: 99;
    box-shadow: 0px 1px 3px #707070;
    width: 100%;
}
#navbar {
    background-color: #008037;
    display: flex;
    align-items: center;
    align-content: space-around;
    justify-content: space-between;
    padding: 0 30px 0 50px;
}
#navbar-logo {
    display: flex;
    align-self: center;
    padding: 20px 0 20px 0;
}
#navbar-logo a {
    display: flex;
}
#nav-menu {
    color: #fff;
}
#navbar-logo img {
    max-height: 30px;
}
#navbar-logo img:nth-child(2) {
    display: none;
}
#nav-burger {
    display: none;
}
#nav-burger:hover {
    filter: opacity(0.7);
    cursor: pointer;
}
#nav-burger img {
    filter: invert(100%);
    padding-right: 10px;
    height: 24px;
}
.sticky {
    position: fixed;
    top: 0;
}
/* ========== MOBILE DEVICE - NAVBAR ========== */
@media screen and (min-width: 769px) {
    #nav-menu-2 {
        display: none;
    }
}
@media screen and (max-width: 768px) {
    #nav-menu {
        display: none;
    }
    #nav-burger {
        display: flex;
    }
    #nav-menu-2 {
        color: #fff;
        background-color: #008037;
        border-bottom: 1px dashed #fff;
        position: absolute;
        margin-top: -1px;
        box-shadow: 0px 3px 3px #707070;
        width: 100%;
    }
    .inactive {
        display: none;
    }
    .active {
        display: block;
    }
    #nav-menu-2 ul {
        display: block;
        padding-inline-start: 0;
        text-align: center;
    }
    #nav-menu-2 li {
        padding: 20px;
    }
    #navbar-logo img:nth-child(1) {
        display: none;
    }
    #navbar-logo img:nth-child(2) {
        display: block;
    }
}
/* ========== ACCUEIL-BIENVENUE ========== */
#accueil-bienvenue {
    text-align: center;
    padding: 200px 35vw 100px 35vw;
    background: url("../img/accueil-bienvenue.jpg");
    background-size: contain;
    background-position-y: top;
    background-position-x: center;
    background-repeat: no-repeat;
}
.sticky + #accueil-bienvenue {
    background-position-y: 60px;
    padding-top: 270px;
}
#accueil-bienvenue p:last-child {
    color: #008037;
    font-family: "JosefinSans";
}
/* ========== MOBILE DEVICE - ACCUEIL-BIENVENUE ========== */
@media screen and (max-width: 576px) {
    #accueil-bienvenue {
        text-align: justify;
        padding: 100px 15vw 50px 15vw;
        background-position-x: left;
    }
}
@media screen and (min-width: 2180px) {
    #accueil-bienvenue {
        background-size: cover;
    }
}
/* ========== ACCUEIL-PRESTATIONS ========== */
#accueil-prestations {
    padding: 20px 100px;
    padding-bottom: 200px;
    text-align: center;
}
#accueil-prestations::before {
    content: url(../img/leaf1.png);
    position: absolute;
    left: 10vw;
}
#accueil-prestations::after {
    content: url(../img/leaf2.png);
    position: absolute;
    right: 10vw;
}
#accueil-prestations .col {
    z-index: 3;
}
#accueil-prestations .col:nth-child(2), #accueil-prestations .col:nth-child(3), #accueil-prestations .col:nth-child(4) {
    margin: 20px;
    padding: 30px;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    flex-wrap: wrap;
    overflow: hidden;
}
#accueil-prestations .col:nth-child(3) {
    border: 1px dashed #4b402d73;
    background-image: url("../img/texture-rond-clair.png");
    background-size: cover;
    background-position-x: center;
    background-position-y: center;
}
#accueil-prestations .col:nth-child(2), #accueil-prestations .col:nth-child(4) {
    border: 1px dashed #4b402d73;
    background-color: rgba(255, 255, 255, 0.7);
}
/* ========== MOBILE DEVICE - ACCUEIL-PRESTATIONS ========== */
@media (min-width: 1280px) and (max-width: 1495px) {
    #accueil-prestations {
        padding: 0;
        padding-bottom: 200px;
    }
}
@media (max-width: 1279px) {
    #accueil-prestations {
        flex-direction: column;
    }
    #accueil-prestations::before {
        position: absolute;
        margin-top: -70vh;
        margin-right: auto;
    }
    #accueil-prestations::after {
        position: absolute;
        margin-bottom: -50vh;
        margin-left: auto;
    }
    #accueil-prestations .col:nth-child(5) {
        margin-top: 70px;
    }
}
@media (min-width: 738px) and (max-width: 1279px) {
    #accueil-prestations .col:nth-child(2), #accueil-prestations .col:nth-child(3), #accueil-prestations .col:nth-child(4) {
        width: 33%;
    }
}
@media (min-width: 577px) and (max-width: 737px) {
    #accueil-prestations .col:nth-child(2), #accueil-prestations .col:nth-child(3), #accueil-prestations .col:nth-child(4) {
        width: 50%;
    }
}
@media (max-width: 370px) {
    #accueil-prestations {
        padding: 20px 50px;
    }
    #accueil-prestations .col:nth-child(2), #accueil-prestations .col:nth-child(3), #accueil-prestations .col:nth-child(4) {
        width: 95%;
    }
}
/* ========== ACCUEIL-VALEURS ========== */
#accueil-valeurs {
    text-align: center;
    background-image: url(../img/accueil-valeurs-texture.jpg);
    background-size: cover;
}
.accueil-valeurs-png {
    display: block;
    width: 100%;
}
#accueil-valeurs-text {
    padding: 50px;
    text-shadow: 0px 0px 5px #fff;
}
#accueil-valeurs p::before, #accueil-valeurs p::after {
    content: " • ";
    color: #008037;
    padding-left: 10px;
    padding-right: 10px;
}
/* ========== ACCUEIL-CONTACT ========== */
#accueil-contact {
    margin-bottom: 50px;
    margin-top: 50px;
    padding-bottom: 50px;
    padding-top: 50px;
    background-image: url(../img/accueil-contact-feuilles.png);
    background-size: contain;
    background-position-x: right;
    background-repeat: no-repeat;
}
#accueil-contact div div:nth-child(1) {
    justify-content: flex-end;
}
#accueil-contact-photo-bg {
    display: flex;
    justify-content: flex-end;
    background-image: url(../img/texture-rond-clair.png);
    background-position-x: right;
    background-repeat: no-repeat;
    background-size: contain;
    padding: 0.3rem;
}
#accueil-contact div div:nth-child(1) img {
    width: 50%;
    padding: 0.5rem;
    background-image: url("../img/texture-rond.png");
    background-position-x: center;
    background-position-y: center;
    background-size: contain;
}
#accueil-contact div div:nth-child(2) {
    text-align: left;
}
#accueil-contact div div:nth-child(3) {
    justify-content: flex-start;
}
/* ========== MOBILE DEVICE - ACCUEIL-CONTACT ========== */
@media screen and (max-width: 576px) {
    #accueil-contact div div:nth-child(1), #accueil-contact div div:nth-child(3) {
        justify-content: inherit;
    }
    #accueil-contact-photo-bg {
        justify-content: inherit;
        background-position-x: center;
    }
}
@media (min-width: 576px) and (max-width: 1200px) {
    #accueil-contact div div:nth-child(1) img {
        width: 80%;
    }
}
/* ========== FOOTER ========== */
footer {
    background-color: #816C4C;
    text-align: center;
    padding-bottom: 10px;
    color: #fff;
}
#footer-top-svg {
    display: block;
    width: 100%;
}
#footer-div1 img {
    width: 70%;
}
#footer-div2 a {
    display: flex;
    align-items: baseline;
}
.footer-svg-icons{
    filter: invert(73%) sepia(26%) saturate(495%) hue-rotate(357deg) brightness(91%) contrast(89%);
    height: 22px;
    padding-right: 10px;
}
#legals {
    color: #4B402D;
    font-family: "Barlow-Light";
    display: block;
    padding: 0 10px;
    font-size: smaller;
}
/* ========== MOBILE DEVICE - FOOTER ========== */
@media (min-width: 576px) and (max-width: 1200px) {
    #footer-div2 {
        display: grid;
    }
    #footer-div2 .col-3 {
        width: 100%;
    }
}
/* ========== WEBSITE CARBON ========== */
#wcb {
    --b1: #008037 !important;
    --b2: #008037 !important;
    color: #000 !important;
}
#wcb_a {
    color: #000 !important;
}
#wcb_2 {
    color: #fff !important;
}
